<?php
namespace Setka\Editor\Admin\Pages\SetkaEditor\SignUp;

use Setka\Editor\Admin\Pages\BaseEntity;
use Setka\Editor\Admin\Pages\SetkaEditor\SignUp\NumberOfEmployees\EmployeesRangeInterface;

class SignUp extends BaseEntity
{
    /**
     * @var ?string
     */
    private $accountType;

    /**
     * @var ?string
     */
    private $email;

    /**
     * @var ?string
     */
    private $firstName;

    /**
     * @var ?string
     */
    private $lastName;

    /**
     * @var ?string
     */
    private $region;

    /**
     * @var ?string
     */
    private $companyDomain;

    /**
     * @var ?string
     */
    private $companyName;

    /**
     * @var ?EmployeesRangeInterface
     */
    private $companySize;

    /**
     * @var ?string
     */
    private $jobTitle;

    /**
     * @var ?string
     */
    private $password;

    /**
     * @var ?string
     */
    private $token;

    /**
     * @var boolean
     */
    private $termsAndConditions = false;

    /**
     * @var boolean
     */
    private $whiteLabel = false;

    /**
     * @var ?string
     */
    private $config;

    /**
     * @return string|null
     */
    public function getAccountType(): ?string
    {
        return $this->accountType;
    }

    /**
     * @param string|null $accountType
     */
    public function setAccountType(?string $accountType): void
    {
        $this->accountType = $accountType;
    }

    /**
     * @return string|null
     */
    public function getEmail(): ?string
    {
        return $this->email;
    }

    /**
     * @param string|null $email
     */
    public function setEmail(?string $email): void
    {
        $this->email = $email;
    }

    /**
     * @return string|null
     */
    public function getFirstName(): ?string
    {
        return $this->firstName;
    }

    /**
     * @param string|null $firstName
     */
    public function setFirstName(?string $firstName): void
    {
        $this->firstName = $firstName;
    }

    /**
     * @return string|null
     */
    public function getLastName(): ?string
    {
        return $this->lastName;
    }

    /**
     * @param string|null $lastName
     */
    public function setLastName(?string $lastName): void
    {
        $this->lastName = $lastName;
    }

    /**
     * @return string|null
     */
    public function getRegion(): ?string
    {
        return $this->region;
    }

    /**
     * @param string|null $region
     */
    public function setRegion(?string $region): void
    {
        $this->region = $region;
    }

    /**
     * @return string|null
     */
    public function getCompanyDomain(): ?string
    {
        return $this->companyDomain;
    }

    /**
     * @param string|null $companyDomain
     */
    public function setCompanyDomain(?string $companyDomain): void
    {
        $this->companyDomain = $companyDomain;
    }

    /**
     * @return string|null
     */
    public function getCompanyName(): ?string
    {
        return $this->companyName;
    }

    /**
     * @param string|null $companyName
     */
    public function setCompanyName(?string $companyName): void
    {
        $this->companyName = $companyName;
    }

    /**
     * @return EmployeesRangeInterface|null
     */
    public function getCompanySize(): ?EmployeesRangeInterface
    {
        return $this->companySize;
    }

    /**
     * @param EmployeesRangeInterface|null $companySize
     */
    public function setCompanySize(?EmployeesRangeInterface $companySize): void
    {
        $this->companySize = $companySize;
    }

    /**
     * @return string|null
     */
    public function getJobTitle(): ?string
    {
        return $this->jobTitle;
    }

    /**
     * @param string|null $jobTitle
     */
    public function setJobTitle(?string $jobTitle): void
    {
        $this->jobTitle = $jobTitle;
    }

    /**
     * @return string|null
     */
    public function getPassword(): ?string
    {
        return $this->password;
    }

    /**
     * @param string|null $password
     */
    public function setPassword(?string $password): void
    {
        $this->password = $password;
    }

    /**
     * @return string|null
     */
    public function getToken(): ?string
    {
        return $this->token;
    }

    /**
     * @param string|null $token
     */
    public function setToken(?string $token): void
    {
        $this->token = $token;
    }

    /**
     * @return bool
     */
    public function isTermsAndConditions(): bool
    {
        return $this->termsAndConditions;
    }

    /**
     * @param bool $termsAndConditions
     */
    public function setTermsAndConditions(bool $termsAndConditions): void
    {
        $this->termsAndConditions = $termsAndConditions;
    }

    /**
     * @return bool
     */
    public function isWhiteLabel(): bool
    {
        return $this->whiteLabel;
    }

    /**
     * @param bool $whiteLabel
     */
    public function setWhiteLabel(bool $whiteLabel): void
    {
        $this->whiteLabel = $whiteLabel;
    }

    /**
     * @return string|null
     */
    public function getConfig(): ?string
    {
        return $this->config;
    }

    /**
     * @param string|null $config
     */
    public function setConfig(?string $config): void
    {
        $this->config = $config;
    }
}
